document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_12600
--- +++ @@ -17,4 +17,4 @@ alias gb='git branch' alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun. alias grm="git status | grep deleted | awk '{\$1=\$2=\"\"; print \$0}' | \ - sed 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm" + perl -pe 's/^[ \t]*//' | sed 's/ /\\...
bash
d_bash_12601
--- +++ @@ -11,6 +11,7 @@ # counterfeit all the interfaces we can find egrep --recursive --include '*.go' 'type [^ ]* interface {' . \ + --exclude-dir 'expected_output' --exclude '*_test.go' \ | sed 's#^./\(.*\)/[^/]*.go:type \([^ ]*\) interface {#\1 \2#' \ | while read PACKAGE INTERFACE; do $counterfe...
bash
d_bash_12602
--- +++ @@ -19,11 +19,7 @@ $(git -C $dir remote -v update) || continue fi - # XXX Returns single line, with variable spacing - branches=$(git -C $dir show-branch --list 2> /dev/null) || continue - - IFS=$'\n' - for branch in "${branches}"; do + for g in `git -C $dir ls-remote --heads 2>...
bash
d_bash_12603
--- +++ @@ -1,2 +1,2 @@ #!/bin/bash -l -[ -z "`squeue -u rthomas -o '\%30j' | grep $1`" ] && sbatch $1.sh +[ -z "`squeue -u rthomas -o '\%35j' | grep $1`" ] && sbatch $1.sh
bash
d_bash_12604
--- +++ @@ -3,7 +3,9 @@ # Shamelessly copied from oh-my-zsh function _current_epoch() { - echo $(($(date +%s) / 60 / 60 / 24)) + local current_time + current_time=$(print -P '%D{%s}') + echo $(($current_time / 60 / 60 / 24)) } function _update_dots_update() {
bash
d_bash_12605
--- +++ @@ -6,6 +6,8 @@ fi if [ -z "$CAFFE_ROOT" ]; then + cd $(dirname $0) + # Download caffe SHA=24d2f67173db3344141dce24b1008efffbfe1c7d if [[ ! -d caffe ]]; then
bash
d_bash_12606
--- +++ @@ -11,15 +11,13 @@ EXTRA_CMAKE_ARGS+=(-DCMAKE_CXX_FLAGS="-O2 -DNDEBUG -W -Wall -Werror") fi -cmake .. -DCMAKE_BUILD_TYPE=${BUILD_TYPE} ${EXTRA_CMAKE_ARGS[@]} +cmake .. -DCMAKE_BUILD_TYPE=${BUILD_TYPE} "${EXTRA_CMAKE_ARGS[@]}" make -j2 VERBOSE=1 +# TODO: Run the tests in release mode too, once Frui...
bash
d_bash_12607
--- +++ @@ -11,6 +11,8 @@ # Pretty print the path alias path='echo $PATH | tr -s ":" "\n"' + +alias t0p='top -o cpu -O -vsize -s 10 -n 20 -stats pid,command,cpu,time,pstate,user' ## Summary for args to less: # less(1)
bash
d_bash_12608
--- +++ @@ -1,2 +1,2 @@ #!/bin/sh -jazzy --source-directory framework --author "Adam Michael" --author_url "https://github.com/csse497/pathfinder" --github_url "https://github.com/csse497/pathfinder-ios" --readme README.md -x -workspace framework/Pathfinder.xcworkspace -x -scheme=Pathfinder +jazzy --swift-version 2....
bash
d_bash_12609
--- +++ @@ -1,10 +1,12 @@ #!/bin/bash + +# Need to first update the local repo before installing anything +apt-get -y update # Install Git (TODO(CD): Remove this, for testing only) apt-get -y install git # Install the latest Marathon -apt-get -y update apt-get -y install marathon # List installed versions...
bash
d_bash_12610
--- +++ @@ -1,9 +1,8 @@ #!/bin/bash -egrep -i 'How do you say.+in Italian\]\]' newpages.txt >> EnglishtoItalian.txt -egrep -i 'How do you spell.+in Italian\]\]' newpages.txt >> EnglishtoItalian.txt +egrep -i 'How (to|do you) (say|spell).+in Italian' newpages.txt >> EnglishtoItalian.txt egrep -i '[abcdefghijklmopq...
bash
d_bash_12611
--- +++ @@ -14,7 +14,7 @@ # Start a custom session dbus PIDFILE=`mktemp` -export DBUS_SESSION_BUS_ADDRESS=`dbus-daemon --config-file=session.conf --fork --print-address=1 --print-pid=3 3>${PIDFILE}` +export DBUS_SESSION_BUS_ADDRESS=`dbus-daemon --config-file=$(pwd)/session.conf --fork --print-address=1 --print-pi...
bash
d_bash_12612
--- +++ @@ -1 +1,2 @@ export EDITOR="/usr/local/bin/mate -w" +export HOMEBREW_GITHUB_API_TOKEN="d4a05b7f424ce0a1b531f4981146b5cb271ab118"
bash
d_bash_12613
--- +++ @@ -8,14 +8,19 @@ # Prompt options: |▶ |► |▸ |▷ $| $: # ------------------------------------------------------------------------------ -function prompt_data() { +parse_git_branch() { + git branch 2> /dev/null | sed -e '/^[^*]/d' -e 's/* \(.*\)/\1/' +} + +prompt_data() { echo -n "[$?" ...
bash
d_bash_12614
--- +++ @@ -8,6 +8,7 @@ then tests/unit/run_unit_tests.sh else + export LD_LIBRARY_PATH=/tmp/oio/lib:$LD_LIBRARY_PATH tests/functional/run-${TEST_SUITE}-tests.sh $* tests/unit/run_extra_unit_tests.sh fi
bash
d_bash_12615
--- +++ @@ -6,13 +6,17 @@ do_error="" do_warning="" +stdout="" -for i in 1 2; do +for i in 1 2 3; do if [ "$1" == "--warnings" ]; then do_warning=yes shift elif [ "$1" == "--errors" ]; then do_error=yes + shift + elif [ "$1" == "--stdout" ]; then + stdout=ye...
bash
d_bash_12616
--- +++ @@ -4,10 +4,12 @@ # This source code is licensed under the MIT license found in the # LICENSE file in the root directory of this source tree. -if [ "$#" -ne 4 ]; then +if [ "$#" -ne 4 ] && [ "$#" -ne 2 ]; then echo "Utility for manipulating the sonar directory where certificates and connection config...
bash
d_bash_12617
--- +++ @@ -2,17 +2,26 @@ nx_conf=/etc/nginx/nginx.conf -if [[ "$REGION" != "" && "$AWS_KEY" != "" && "$AWS_SECRET" != "" ]]; then +MYREGION=$(wget -q -O- http://169.254.169.254/latest/dynamic/instance-identity/document|grep 'region'|cut -d'"' -f4) + +REGION=${REGION:-$MYREGION} + # create aws directory mkdir ...
bash
d_bash_12618
--- +++ @@ -2,7 +2,7 @@ brew update brew unlink gcc -brew install homebrew/versions/llvm38 homebrew/versions/gcc49 coreutils +brew install homebrew/versions/llvm38 export CXX=$(which clang++-3.8) export LLVM_CONFIG=$(which llvm-config-3.8) SL=/System/Library
bash
d_bash_12619
--- +++ @@ -9,7 +9,7 @@ if _ant_does_target_list_need_generating; then ant -p | awk -F " " 'NR > 5 { print lastTarget }{lastTarget = $1}' > .ant_targets fi - compadd `cat .ant_targets` + compadd -- `cat .ant_targets` fi }
bash
d_bash_12620
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/adoptium/temurin16-binaries/releases/download/jdk-16.0.2%2B7/OpenJDK16U-jdk_x64_linux_hotspot_16.0.2_7.tar.gz" ;; java17) - echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk17-2021-08-05-18-59-beta/OpenJDK17-jdk_x64_linux_hotspot_20...
bash
d_bash_12621
--- +++ @@ -14,6 +14,7 @@ alias gd='git diff' alias gbrt='git branch-timeline' alias gap='git add -p' +alias grc='git rebase --continue' alias vi='vim'
bash
d_bash_12622
--- +++ @@ -19,12 +19,6 @@ sudo pip3 install facebook-scribe sudo pip3 install thriftpy sudo pip3 install scribe_logger -DIR=$(python3 -c "import site; print(site.getsitepackages()[0])") -echo "Detected Python3 libraries at the following location: " -echo $DIR -sudo patch -p0 --directory=$DIR < ./patches/scribe.py...
bash
d_bash_12623
--- +++ @@ -4,6 +4,7 @@ # Vagrant-specific configuration /usr/bin/useradd --password ${PASSWORD} --comment 'Vagrant User' --create-home --user-group vagrant +echo -e 'vagrant\nvagrant' | /usr/bin/passwd vagrant echo 'Defaults env_keep += "SSH_AUTH_SOCK"' > /etc/sudoers.d/10_vagrant echo 'vagrant ALL=(ALL) NOPAS...
bash
d_bash_12624
--- +++ @@ -2,6 +2,8 @@ # This script publishes all of the python commons locally with the exception of a few # blacklisted legacy targets. +# NB: To run you'll need a `~/.pypirc` properly configured with credentials for the +# 'twitter' user. PUBLISH_BLACKLIST=( # This is the old monolithic commons target ...
bash
d_bash_12625
--- +++ @@ -1,16 +1,19 @@ #!/bin/bash # Build a docker image from a file or several fragments - -mkdir -p dockertest +# Pass docker image name followed by Dockerfile or ordered fragments +mkdir -p $1 # Make an empty file -echo "" > dockertest/Dockerfile +echo "" > $1/Dockerfile for var in "$@" do - echo "Addin...
bash
d_bash_12626
--- +++ @@ -42,6 +42,7 @@ EOF ;; *) + DUPL_PARAMS="$DUPL_PARAMS --allow-source-mismatch" exec duply "$@" ;; esac
bash
d_bash_12627
--- +++ @@ -5,8 +5,8 @@ x=$(($freeMem/10*8)) n=$(($freeMem/10*2)) export JVM_ARGS="-Xmn${n}m -Xms${s}m -Xmx${x}m" -export RMI_HOST_DEF=-Djava.rmi.server.hostname=$IP JMETER_LOG="jmeter-server.log" && touch $JMETER_LOG && tail -f $JMETER_LOG & exec jmeter-server \ + -D "java.rmi.server.hostname=${IP}" \ -...
bash
d_bash_12628
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/bash -l set -e source .rvmrc
bash
d_bash_12629
--- +++ @@ -3,16 +3,16 @@ mkdir -p ~/.aurinstall function dothestuff { - cd ~/.aurinstall + cd ~/.aurinstall - git clone https://aur.archlinux.org/$1.git - cd $1 - git pull --recurse - makepkg -sric --needed --noconfirm + git clone https://aur.archlinux.org/$1.git + cd $1 + git pull --recurse + makepkg -sr...
bash
d_bash_12630
--- +++ @@ -1,15 +1,7 @@ #!/usr/bin/env bash - -base64_opts=(-D) -# Feature detect if base64 uses a -D or -d flag for decoding, macOS normally uses -D. -if ! base64 -D <<<"" 1>/dev/null 2>&1; then - base64_opts=(-d) -fi [[ -d protodef ]] || mkdir protodef (cd protodef; - curl -s "https://chromium.googlesource...
bash
d_bash_12631
--- +++ @@ -1,6 +1,6 @@ MailcatcherInstall () { - gem install mailcatcher + sudo gem install mailcatcher } if ! hash mailcatcher 2>/dev/null; then
bash
d_bash_12632
--- +++ @@ -7,7 +7,7 @@ PLUGIN_REPO=git@github.com:aaemnnosttv/wp-cli-login-server.git # Download git-subsplit -wget https://cdn.rawgit.com/dflydev/git-subsplit/d77ec9d3e1addd97dca1464eabf95c525f591490/git-subsplit.sh +wget https://raw.githubusercontent.com/dflydev/git-subsplit/d77ec9d3e1addd97dca1464eabf95c525f5...
bash
d_bash_12633
--- +++ @@ -8,8 +8,8 @@ if [ ! -z $GROUPID ] then - src=$src/$GROUPID - dest=$dest/$GROUPID + src=$basesrc/$GROUPID + dest=$basedest/$GROUPID else src=$basesrc dest=$basedest
bash
d_bash_12634
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash SCRIPT_DIR=`dirname $0` SCRIPT_DIR=`pwd`"/${SCRIPT_DIR}" @@ -26,6 +26,7 @@ done # Setup some system defaults -if [[ Darwin == $(uname) ]]; then +unamestr=`uname` +if [[ "$unamestr" == 'Darwin' ]]; then source $SCRIPT_DIR/deploy/osx.sh fi
bash
d_bash_12635
--- +++ @@ -5,6 +5,8 @@ # Setup python environment source <%= @local_install_dir %>/pythonenv/bin/activate +export LUIGI_CONFIG_PATH=`pwd`/`dirname <%= @python_script %>`/client.cfg + # Run Python <%= @local_install_dir %>/pythonenv/bin/python \ <%= @python_arugments %> \
bash
d_bash_12636
--- +++ @@ -3,6 +3,8 @@ ./ciscripts/travis/install_aws.sh ./ciscripts/travis/import_cert.sh +cd src && npm install && cd .. + gulp rebuild:64 --verbose gulp pack:darwin64:dmg --prod --verbose gulp pack:darwin64:zip --prod --verbose
bash
d_bash_12637
--- +++ @@ -13,7 +13,7 @@ createFileBackup "$PATH_TO_MANIFEST" if [[ "$machine_ws_agent_max_start_time_ms" == "60000" ]]; then - sudo sed -i "s/${dollar_symbol}machine_ws_agent_max_start_time_ms.*=.*/${dollar_symbol}machine_ws_agent_max_start_time_ms = 300000/" "$PATH_TO_MANIFEST" &> update_manifest.log + s...
bash
d_bash_12638
--- +++ @@ -16,10 +16,10 @@ run_dir=${WORK_DIR}/${benchmark_name} #No echo moving - echo "mkdir -p $run_dir && cd $run_dir && $myexec $benchmark >& ${benchmark_name}.log && echo 'PASSED $benchmark_name' || echo 'FAILED $benchmark_name'" + #echo "mkdir -p $run_dir && cd $run_dir && $myexec $benchmark...
bash
d_bash_12639
--- +++ @@ -3,7 +3,9 @@ VERSION=$1 TYPE=$2 DOWNLOAD_URL=$3 -EE_LICENSE_FILE=$4 + +# Expanding the variable to get actual license file contents +EE_LICENSE_FILE=${!4} PACKER_PATH=$(pwd)/support/packer
bash
d_bash_12640
--- +++ @@ -17,4 +17,4 @@ alias gb='git branch' alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun. alias grm="git status | grep deleted | awk '{\$1=\$2=\"\"; print \$0}' | \ - sed 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm" + perl -pe 's/^[ \t]*//' | sed 's/ /\\...
bash
d_bash_12641
--- +++ @@ -15,5 +15,5 @@ sed -i 's/^.*libvirtd_opts.*=.*$/libvirtd_opts="-d -l"/' /etc/default/libvirt-bin echo "Restarting libvirt services" -stop libvirt-bin -start libvirt-bin +service libvirt-bin restart +service nova-compute restart
bash
d_bash_12642
--- +++ @@ -17,7 +17,7 @@ # Double check the path and offsets as noted above! # Path to the image -IMAGE='/media/sf_ubuntu-shared/2017-02-02_CIRCLean.img' +IMAGE='2017-02-02_CIRCLean.img' # Start sector of boot (first) partition BOOT_START=8192 # Start sector of root (second) partition
bash
d_bash_12643
--- +++ @@ -1,4 +1,10 @@ -if [ -f /usr/share/chruby/chruby.sh ] && [[ "$dotfiles_shell" =~ (zsh|bash) ]]; then - source /usr/share/chruby/chruby.sh - source /usr/share/chruby/auto.sh +if [ -d /usr/local/opt/chruby ]; then + _chruby_path=/usr/local/opt/chruby +else + _chruby_path=/usr fi + +if [ -f "$_chruby_path...
bash
d_bash_12644
--- +++ @@ -1,8 +1,17 @@ #! /bin/bash + +# Run all grammars in tests/grammars/{reject,accept} through augparse +# and report whether they are accepted/rejected as expected +# If run with option '-v', error output from each augparse run is printed DATADIR=$(dirname $0) GRAMMARS=${DATADIR}/grammars AUGPARSE=${top...
bash
d_bash_12645
--- +++ @@ -10,6 +10,7 @@ brew cask install google-chrome brew cask install imageoptim brew cask install iterm2 +brew cask install keyremap4macbook brew cask install one-password brew cask install optimal-layout brew cask install the-unarchiver
bash
d_bash_12646
--- +++ @@ -46,5 +46,5 @@ if [ ! -z "$STC_INST" ] then - ant -Ddist.dir=$STC_INST install + ant -Ddist.dir=$STC_INST -Dturbine.home=${TURBINE_INST} install fi
bash
d_bash_12647
--- +++ @@ -44,4 +44,8 @@ name: psycopg2 args: database: $POSTGRES_DB_2 + user: $PGUSER + password: $PGPASSWORD + host: localhost + sslmode: disable EOF
bash
d_bash_12648
--- +++ @@ -2,7 +2,7 @@ set -uex cd /tmp -git clone https://github.com/plt/racket.git +git clone --depth=0 https://github.com/plt/racket.git cd racket/src ./configure --prefix=/app/vendor make -sj30
bash
d_bash_12649
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u275-b01/OpenJDK8U-jdk_x64_linux_hotspot_8u275b01.tar.gz" + echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u282-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u282b...
bash
d_bash_12650
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash -e module load git/2.8.4 + +# First, test cosmo-pompa git clone git@github.com:MeteoSwiss-APN/cosmo-pompa cd cosmo-pompa git config user.email "jenkins@cscs.ch" @@ -9,3 +11,16 @@ cd cosmo/test test -f ./jenkins/jenkins.sh || exit 1 ./jenkins/jenkins.sh test + +# Next, test ...
bash
d_bash_12651
--- +++ @@ -3,12 +3,7 @@ [[ "$CIRCLE_BRANCH" != demo__* ]] && exit 0 -DEBUG=False -DEV=True -DATABASE_URL=sqlite:///bedrock.db -DOCKER_CACHE_PATH=~/docker -MOFO_SECURITY_ADVISORIES_PATH=$DOCKER_CACHE_PATH/security_advisories -PROD_DETAILS_STORAGE=product_details.storage.PDDatabaseStorage +export DOCKER_CACHE_PAT...
bash
d_bash_12652
--- +++ @@ -8,7 +8,7 @@ if [ ! -e $GRAPH_FILE ]; then mv $FILE $GRAPH_FILE fi -rm -rf $(expr "graph-data.osm.pbf" : '\([^\.]*\)\.')".osm-gh" +rm -rf $(expr $GRAPH_FILE : '\([^\.]*\)\.')".osm-gh" git reset --hard HEAD ./graphhopper.sh import $GRAPH_FILE cd ..
bash
d_bash_12653
--- +++ @@ -4,7 +4,7 @@ # For acquisition testing sudo -H python -m ensurepip sudo -H pip install -U pip - sudo -H pip install -r $TRAVIS_BUILD_DIR/acquisition/requirements-dev.txt + sudo -H pip install --ignore-installed -r $TRAVIS_BUILD_DIR/acquisition/requirements-dev.txt $TRAVIS_BUILD_DI...
bash
d_bash_12654
--- +++ @@ -28,3 +28,6 @@ krita \ net-tools wget \ htop iotop + +# deps for gitk and git gui +sudo pacman -S --asdeps tk python2
bash
d_bash_12655
--- +++ @@ -48,5 +48,4 @@ # TODO Symlink and process dotfiles/gitignore_global # Force logout -sudo $aptget install psmisc -killall -u $(whoami) +pkill -u $(whoami)
bash
d_bash_12656
--- +++ @@ -7,7 +7,7 @@ if [ ! -f /usr/local/bin/composer ] then curl -sS https://getcomposer.org/installer | php - mv composer.phar /usr/local/bin/composer + sudo mv composer.phar /usr/local/bin/composer else composer self-update fi
bash
d_bash_12657
--- +++ @@ -1,9 +1,22 @@ #!/usr/bin/env bash +#PBS -l nodes=1:ppn=1 # Number of nodes and processors per node +#PBS -l walltime=1:00:00 # Maximum wall time (hh:mm:ss) +#PBS -N simple # Job name +#PBS -o simple.out # File name for standard output +#PBS -e simple.err # File name...
bash
d_bash_12658
--- +++ @@ -17,7 +17,7 @@ set -eux -source /opt/stack/tripleo-incubator/scripts/setup-env /opt/stack while true; do + source /opt/stack/tripleo-incubator/scripts/setup-env /opt/stack devtest_overcloud.sh; done
bash
d_bash_12659
--- +++ @@ -14,7 +14,7 @@ cd .. git clone https://github.com/personalrobotics/chimera.git cd chimera -git checkout bugfix/target_link_libraries +git checkout bugfix/rectify_angle_brackets mkdir build cd build cmake -DLLVM_DIR="/usr/share/llvm-3.6/cmake/" ..
bash
d_bash_12660
--- +++ @@ -5,7 +5,7 @@ read apiVersion rm -rf target/docs -git clone git@github.com:kuujo/copycat.git target/docs -b gh-pages +git clone git@github.com:kuujo/catalog.git target/docs -b gh-pages mvn javadoc:javadoc -Pjavadoc -Djv=$apiVersion cd target/docs git add -A
bash
d_bash_12661
--- +++ @@ -14,4 +14,5 @@ alias gtags='ctags -R --languages=-javascript --exclude=.git --exclude=log --exclude=target --fields=+iaS --extra=+q .' alias mcopy='reattach-to-user-namespace pbcopy' alias mpaste='reattach-to-user-namespace pbpaste' +alias ctt='cp ~/.tmux.sh.example .tmux.sh' gi() { gem install $@; rbe...
bash
d_bash_12662
--- +++ @@ -18,7 +18,7 @@ shift $((OPTIND-1)) [ "$1" = '--' ] && shift - local filenames="$1" + local filenames="$@" if [[ -z "$filenames" ]]; then # Checking if no filenames are passed, show diff for all files. filenames=$(git secret list)
bash
d_bash_12663
--- +++ @@ -1,19 +1,36 @@ #!/bin/bash -# Run periodically to keep packages up-to-date +# Usage: ./pip_update.sh +# Run periodically to keep Python requirements up-to-date set -e -cd "`dirname $0`" +cd `dirname $0`/securedrop/requirements -cd securedrop/ +# This method is slow, because we have to: +# 1. Downlo...
bash
d_bash_12664
--- +++ @@ -17,13 +17,3 @@ mvn jacoco:report coveralls:report --fail-never -cd .. - -cd travisFilter -mvn clean install - -if [[ $? != 0 ]] -then - echo "Error while installing travisFilter" - exit 1 -fi
bash
d_bash_12665
--- +++ @@ -1,6 +1,7 @@ git config --global user.email "weecologydeploy@weecology.org" git config --global user.name "Weecology Deploy Bot" +git checkout master git add predictions/* docs/* git commit -m "Update forecasts: Travis Build $TRAVIS_BUILD_NUMBER"
bash
d_bash_12666
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +OPT=":"$OPT if [ $PLATFORM == clj ]; then lein do clean, javac, test
bash
d_bash_12667
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash # Change working directory to script directory cd "${0%/*}" +chmod +x ./build_docs.sh +chmod +x ./create_release_archive.sh ./build_docs.sh ./create_release_archive.sh
bash
d_bash_12668
--- +++ @@ -4,8 +4,8 @@ sudo --validate -private_key=~/.MOK.priv -public_key=~/.MOK.der +private_key='/run/media/kal/MyKeys/MOK.priv' +public_key='/run/media/kal/MyKeys/MOK.der' # if we have just installed a kernel, it may not be the current, so just # sign everything we can find
bash
d_bash_12669
--- +++ @@ -9,7 +9,7 @@ echo "https://github.com/bell-sw/Liberica/releases/download/11.0.16+8/bellsoft-jdk11.0.16+8-linux-amd64.tar.gz" ;; java17) - echo "https://github.com/bell-sw/Liberica/releases/download/17.0.3.1+2/bellsoft-jdk17.0.3.1+2-linux-amd64.tar.gz" + echo "https://github.com/bell-sw/Liberica/r...
bash
d_bash_12670
--- +++ @@ -28,6 +28,7 @@ git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim curl https://raw.githubusercontent.com/altercation/vim-colors-solarized/master/colors/solarized.vim +mkdir ~/vim/colors mv solarized.vim ~/.vim/colors/ echo "Configuring zsh as default shell"
bash
d_bash_12671
--- +++ @@ -11,6 +11,9 @@ echo "See the Console for a detailed traceback." else echo "$1 Error" - echo "MacPython 2.3 is required to run this application."; - echo "ERRORURL: http://homepages.cwi.nl/~jack/macpython/index.html Visit the MacPython Website"; + + # Usage: ERRORURL <anURL> <a button label>, this is u...
bash
d_bash_12672
--- +++ @@ -1,3 +1,5 @@ #!/bin/bash export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/app/.apt/usr/lib/pkgconfig/ + +echo "=======================================TEST=================================="
bash
d_bash_12673
--- +++ @@ -9,4 +9,4 @@ dotnet build -c Release -f net461 /property:DefineConstants=MONO \ Farmhash.Sharp.Benchmarks/Farmhash.Sharp.Benchmarks.csproj -mono Farmhash.Sharp.Benchmarks/bin/Release/net46/Farmhash.Sharp.Benchmarks.exe +mono Farmhash.Sharp.Benchmarks/bin/Release/net461/Farmhash.Sharp.Benchmarks...
bash
d_bash_12674
--- +++ @@ -1,6 +1,10 @@ #!/bin/bash set -e + +git config user.name time +git config user.email time@allweretaken.xyz +git config commit.gpgsign false while true; do sed -i 's&<p can i put a marker here?.*$&<p can i put a marker here?>'"$(date +"%H %M")"'</p>&' index.html
bash
d_bash_12675
--- +++ @@ -8,8 +8,12 @@ echo $EXT_CC_IP asset-transfer-basic.org1.example.com >> /etc/hosts echo $HOST_IP peer0.org1.example.com peer0.org2.example.com orderer.example.com >> /etc/hosts +export CHANNEL_NAME=$CHANNEL_NAME + +export CORE_PEER_MSPCONFIGPATH=/mnt/conf/organizations/peerOrganizations/$HOSTNAME/users/...
bash
d_bash_12676
--- +++ @@ -4,7 +4,13 @@ rc=$?; if [[ $rc != 0 ]]; then exit $rc; fi echo "Exit code[" $@ "]: $rc" } - +executeCommand "git clone --single-branch --branch cmake https://github.com/grey277/Unpacker2.git" +executeCommand "mkdir -p Unpacker2/build" +executeCommand "cd Unpacker2/build" +executeCommand "cmake ....
bash
d_bash_12677
--- +++ @@ -9,7 +9,7 @@ item=${itemName:0:$itemLength-10} # echo $item if [[ -d $itemName ]] ; then - zip -9r "${item}.zip" "$itemName" + ditto -c -k --rsrc --keepParent "$itemName" "${item}.zip" cp "${item}.zip" "$2" fi done
bash
d_bash_12678
--- +++ @@ -7,3 +7,9 @@ # Don’t display the annoying prompt when quitting iTerm defaults write com.googlecode.iterm2 PromptOnQuit -bool false + +FONT_NAME="Roboto Mono for Powerline.ttf" + +# Install font +wget "https://github.com/powerline/fonts/blob/master/RobotoMono/Roboto%20Mono%20for%20Powerline.ttf?raw=true...
bash
d_bash_12679
--- +++ @@ -28,7 +28,7 @@ --filter \ tools,\ platform-tools,\ -build-tools-23.0.1,\ +build-tools-23.0.2,\ android-23,\ addon-google_apis-google-23,\ android-21,\
bash
d_bash_12680
--- +++ @@ -5,10 +5,10 @@ polly_revision=release_80 ndk_version=android-ndk-r20 -clang_repository=http://llvm.org/git/clang.git -llvm_repository=http://llvm.org/git/llvm.git -compiler_rt_repository=http://llvm.org/git/compiler-rt.git -libcxx_repository=http://llvm.org/git/libcxx.git -polly_repository=http://llvm....
bash
d_bash_12681
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash +set -e LIBGIT2SHA=`cat ./LibGit2Sharp/libgit2_hash.txt` SHORTSHA=${LIBGIT2SHA:0:7}
bash
d_bash_12682
--- +++ @@ -7,6 +7,7 @@ --file "${ROOT_DIR}/docker-compose.yml" \ stop +sleep 1 echo docker logs test-runner-client 2>&1 | grep "Goodbye from runner client" docker logs test-runner-server 2>&1 | grep "Goodbye from runner server"
bash
d_bash_12683
--- +++ @@ -1,8 +1,11 @@ -# The next line updates PATH for the Google Cloud SDK. -source $HOME/code/google-cloud-sdk/path.zsh.inc +export GOOGLE_CLOUD_SDK=$HOME/code/github/google-cloud-sdk -# The next line enables zsh completion for gcloud. -source $HOME/code/google-cloud-sdk/completion.zsh.inc +if [ -d "$GOOGLE_C...
bash
d_bash_12684
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash PATH=$PATH:$GOPATH/bin PRJ=`git config --get remote.origin.url | sed 's/^https:\/\///' | sed 's/\.git$//'`
bash
d_bash_12685
--- +++ @@ -8,4 +8,4 @@ TURBINE_HOME=$( cd $( dirname $( which turbine ) )/.. ; /bin/pwd ) source ${TURBINE_HOME}/scripts/turbine-build-config.sh export TCL_INCLUDE_SPEC -export BLAS=${HOME}/Downloads/BLAS/BLAS.a +export BLAS=${BLAS:-${HOME}/Downloads/BLAS/BLAS.a}
bash
d_bash_12686
--- +++ @@ -4,8 +4,9 @@ echo "$STORE_INFO" | grep "Store URL: ${NIX_REMOTE}" -if isDaemonNewer "2.7pre20220126"; then - echo "$STORE_INFO" | grep "Version: $($NIX_DAEMON_PACKAGE/bin/nix-daemon --version)" +if [[ -v NIX_DAEMON_PACKAGE ]] && isDaemonNewer "2.7.0pre20220126"; then + DAEMON_VERSION=$($NIX_DAEM...
bash
d_bash_12687
--- +++ @@ -1,14 +1,12 @@ #!/bin/bash -if [[ $(uname) == "Linux" ]]; then +if [[ "$target_platform" == "linux-64" ]]; then export CFLAGS="${CFLAGS} -lrt" fi autoreconf --install ./configure --prefix=${PREFIX} -[[ "$target_platform" == "win-64" ]] && patch_libtool - make make install
bash
d_bash_12688
--- +++ @@ -24,5 +24,5 @@ TARGET_PATH=$(basename "$PWD") pushd "$PWD"/.. -tar --exclude '*/.git' --exclude "${TARGET_PATH}/build" --exclude "${TARGET_PATH}/credentials" --exclude "${TARGET_PATH}/_book" -pcvzf "${TARGET_PATH}/build/${FILENAME}.tar.gz" "${TARGET_PATH}" --transform "s!^${TARGET_PATH}!${FILENAME}!" -...
bash
d_bash_12689
--- +++ @@ -3,15 +3,18 @@ infile=$1 outdir=$2 -indir=$(realpath $(dirname ${infile})) -outdir=$(realpath ${outdir}) -infilebn=$(basename ${infile}) +# override 65535k docker default size with tmpfs default +mem=$(($(free | awk '/^Mem:/{print $2}') / 2))k -docker run --rm -t -i \ - -v ${indir}:/firmware-in:ro \...
bash
d_bash_12690
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash docker build -t ${FAUCET_TEST_IMG} -f Dockerfile.tests . || exit 1 +docker rmi faucet/faucet-testbase docker images # If sanity shard, just the sanity test and lint/type/dependency checks.
bash
d_bash_12691
--- +++ @@ -5,9 +5,9 @@ set -e RED='\033[0;31m' NC='\033[0m' # No Color -export TF_VAR_name="$2" # Run CMD +export TF_VAR_name="$2" if [ "$1" = "azure" ] ; then terraform get /azure && \ terraform apply -target null_resource.sshkey_gen /azure && \ @@ -15,7 +15,7 @@ terraform apply -target null_r...
bash
d_bash_12692
--- +++ @@ -1,4 +1,9 @@ #!/usr/bin/env zsh + +# gentoo-release is just a text file, not a set of environment variables. +if [[ -e /etc/gentoo-release ]]; then + return +fi if [[ "$(for f in /dev/null /etc/*-release; do source $f; done; echo $ID)" != "ubuntu" ]] ; then return
bash
d_bash_12693
--- +++ @@ -6,7 +6,8 @@ echo -e "\nInstalling dotfiles from https://github.com/danemacmillan/dotfiles. This will take a minute." echo -e "--------------------------------------------------------------------------------" echo -e "Installing for '$USER_USER' user..." -su $USER_USER -c "cd /home/$USER_USER && git clo...
bash
d_bash_12694
--- +++ @@ -14,8 +14,39 @@ # # Copyright Clairvoyant 2015 -yum -y -e1 -d1 install epel-release -yum -y -e1 -d1 install haveged -service haveged start -chkconfig haveged on +USEHAVEGED=$1 +if rpm -q redhat-lsb-core; then + OSREL=`lsb_release -rs | awk -F. '{print $1}'` +else + OSREL=`rpm -qf /etc/redhat-releas...
bash
d_bash_12695
--- +++ @@ -17,6 +17,6 @@ ./net.sh setup -./bin/wshd --run ./run --lib ./lib --root ./mnt --title "wshd: $id" \ +nice -n 10 ./bin/wshd --run ./run --lib ./lib --root ./mnt --title "wshd: $id" \ 1> ./run/wshd.out.log \ 2> ./run/wshd.err.log
bash
d_bash_12696
--- +++ @@ -25,7 +25,7 @@ echo "" echo "Please install php-cs-fixer, e.g.:" echo "" - echo " composer update --dev" + echo " composer require --dev fabpot/php-cs-fixer:dev-master" echo "" fi
bash
d_bash_12697
--- +++ @@ -9,7 +9,7 @@ MNECPP_ROOT=$(pwd) # Tests to run - TODO: find required tests automatically with grep -tests=( test_codecov test_fiff_rwr test_dipole_fit test_fiff_mne_types_io test_fiff_cov test_fiff_digitizer test_mne_msh_display_surface_set test_geometryinfo test_interpolation test_spectral_connectivit...
bash
d_bash_12698
--- +++ @@ -5,5 +5,7 @@ export INT_ITEM1=11 export FLOAT_ITEM1=1.1 export NESTED_ITEMS_NESTED_ITEM1=nested-item1-env-value -export LIST_ITEMS2="env-list-item1, env-list-item2, env-list-item3" +export LIST_ITEMS1="env-list-item1, env-list-item2, env-list-item3" export PREFIX_STRING_ITEM1=string-item1-prefix-value ...
bash
d_bash_12699
--- +++ @@ -11,10 +11,13 @@ echo "root=noReply@${DEFAULT_MAILSERVER}" > /etc/ssmtp/ssmtp.conf -if [[ "x"ROUTER_VIRTUAL_HOST != "x" ]]; then - echo "root=noReply@${ROUTER_VIRTUAL_HOST}" > /etc/ssmtp/ssmtp.conf - sed -i -e"s:server_name localhost:server_name ${ROUTER_VIRTUAL_HOST}:g" /etc/nginx/sites-available/d...
bash